Subject: [netatalk-admins] shared Logins on UNIX/Mac?

From: Oliver Wrede <[email-masked]>
Date: Sat, 8 Aug 1998 11:41:18 +0000 (GMT)

Hi everybody!

  We just ran into the question how it might be possible to share Logins
between a UNIX-Server and a Mac-Server (we store the Logins on the UNIX side).

  One way I can imagine which might work well would be a NIS client for
MacOS, but I haven't seen something like this for Macintosh!

  Another thing I have heard, was PAM (password authentification modules),
about which I currently do not know anything! What is it? Can I use it for
this purpose? What do I have to do?

  Does anybody here have set up something like this?

Oliver

. Oliver Wrede . . . . . . . . . . . . . . . . . . . [email-masked] .
. +fon/-fax . . . . . . . . . . . . . . . . . . . .  +49 221 9522 601/-605 .
. School of Design, University of Applied Sciences, Cologne  . . . . . . . .
. http://www.ds.fh-koeln.de/~owrede/ . . . . . . . . ICQ# 6580315  . . . . .

---

From: Tony Stuckey <[email-masked]>
Date: Mon, 10 Aug 1998 13:06:19 -0500 (CDT)

> MacOS, but I haven't seen something like this for Macintosh!

	There aren't any as far as I know.

> this purpose? What do I have to do?

	PAM is an authentication module specification.  The counterpart
under MacOS is the UAM.  I don't think there are any UAMs that do NIS-ish
things, although I thought there was a Kerberos one.
	That might be good enough for your purposes.
-- 
Anthony J. Stuckey                              [email-masked]
"When I was young, the sky was full of stars.
 I watched them burn out one by one."  -Warren Zevon

---

From: Oliver Wrede <[email-masked]>
Date: Mon, 10 Aug 1998 17:32:54 +0000

>You could just use netatalk on the Unix host. It means your passwords
>get transmitted as cleartext, but it's the same username/password pair
>for telnet or for the Chooser. Sounds like what you're looking for.
>
>Or, more exotic would be to set up a second unix box, use NIS to get
>the primary host's passwd's and NFS to get the data you want and share
>using netatalk.

Maybe I expressed myself not clear enough. I recieved some replies with
answers to a problem I don't have:

I want to log into a MasOS fileserver (not into a UNIX box). The MacOS
fileserver should ask for a username and password which is setup and
stored on a UNIX (e.g. Linux) box.

Because of the file-permission issue on the MacOS server there must also
be access to the /etc/group file of the central UNIX server. Such things
are usually done with NIS among UNIX systems.

So what would be perfect is a NIS-client for MacOS, which reads the
passwd- and group-maps from the NIS-server and translates them into
the MacOS-specific "User&Groups". I could imagine this could be a
sort of control panel replacement.

This does not really intersect with the netatalk software at all (so
it might be a little bit off topic here), but I hoped I have a
good chance to meet someone with that knowldge here...

Oliver

. Oliver Wrede . . . . . . . . . . . . . . . . . . . [email-masked] .
. tel. +49 2203 913 200 .  office +49 221 9522 601 . fax +49 221 9522 605  .
. School of Design, University of Applied Science, Cologne . . . . . . . . .
. www.ds.fh-koeln.de/~owrede . . . . . . . . . . . . ICQ# 6580315  . . . . .